org.red5.server.api.service

## Interface IServiceCall

All Known Subinterfaces:
  IPendingServiceCall

All Known Implementing Classes:
  Call, PendingCall, RemotingCall

    public interface IServiceCall

Container for a Service Call

### Method Summary

Methods
`Object[]` `getArguments()` Returns array of service method arguments
`Exception` `getException()` Get service call exception
`long` `getReadTime()` Returns the time stamp at which this object was deserialized.
`String` `getServiceMethodName()` Returns service method name
`String` `getServiceName()` Returns service name
`byte` `getStatus()` Get service call status
`long` `getWriteTime()` Returns the time stamp at which this object was serialized.
`boolean` `isSuccess()` Whether call was successful or not
`void` `setException(Exception exception)` Sets exception
`void` `setStatus(byte status)` Sets status

### Method Detail

#### isSuccess

    boolean isSuccess()

Whether call was successful or not

Returns:
  `true` on success, `false` otherwise

#### getServiceMethodName

    String getServiceMethodName()

Returns service method name

Returns:
  Service method name as string

#### getServiceName

    String getServiceName()

Returns service name

Returns:
  Service name

#### getArguments

    Object[] getArguments()

Returns array of service method arguments

Returns:
  array of service method arguments

#### getStatus

    byte getStatus()

Get service call status

Returns:
  service call status

#### getReadTime

    long getReadTime()

Returns the time stamp at which this object was deserialized.

Returns:
  the readTime

#### getWriteTime

    long getWriteTime()

Returns the time stamp at which this object was serialized.

Returns:
  the writeTime

#### getException

    Exception getException()

Get service call exception

Returns:
  service call exception

#### setStatus

    void setStatus(byte status)

Sets status

Parameters:
  `status` - Status as byte

#### setException

    void setException(Exception exception)

Sets exception

Parameters:
  `exception` - Call exception